Manage sub-entity balances
Beta
Last updated: May 13, 2026
You can get the balances and reserve rules for your sub-entities using the API.
You can view the balances your sub-entities hold with Checkout.com.
Call the Retrieve entity balances endpoint, and provide the sub-entity ID as the {id} path parameter.
get
https://balances.checkout.com/balances/{id}
Optionally, you can include the following query parameters:
withCurrencyAccountId– Set totrueto include thecurrency_account_idfield for each sub-account in the response. Default value isfalse.balancesAt– Set to a UTC datetime value in the past to retrieve balances at a specific point in time. If omitted, the response returns live balances.
1{2"data": [3{4"currency_account_id": "ca_g5y7d6jo4e2urgforcbf2ey5jm",5"descriptor": "Revenue Account 1",6"holding_currency": "USD",7"balances_as_of": "2026-05-06T13:59:59.9999999+00:00",8"balances": {9"available": 50000,10"collateral": 6000,11"collateral_breakdown": {12"fixed_reserve": 4000,13"rolling_reserve": 200014},15"operational": 7000,16"payable": 2700,17"pending": 2300018}19}20]21}
Checkout.com sets reserve rules to hold a percentage of a sub-entity's captured funds. We use this reserve to cover chargebacks, refunds, and other costs Checkout.com may be liable for.
Call the Get reserve rule details endpoint, and provide the:
- Sub-entity ID as the
{entityId}path parameter - Reserve rule ID as the
{id}path parameter
get
https://balances.checkout.com/balances/{entityId}/reserve-rules/{id}
1{2"id": "rsv_qn4nis4k3ykpzzu7cvtuvhqqga",3"type": "rolling",4"valid_from": "2026-01-01T13:33:00.000Z",5"rolling": {6"percentage": 10,7"holding_duration": {8"weeks": 29}10}11}